Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_Validator Class Reference

An abstract virtual class defining validator interface. More...

`#include <common/Validator.h>`

List of all members.

## Public Member Functions
virtual | ~ACEXML_Validator ()=0
virtual int | startElement (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual int | nextElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0

## Detailed Description

An abstract virtual class defining validator interface.

An validator provides validation service for one XML element. ACEXML_Validators are stateful object. Implementations should remember the current element encountered and determine if it's a valid sequence of child elements. A parser fishes out a validator of certain

## Constructor & Destructor Documentation

ACEXML_Validator::~ACEXML_Validator | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual int ACEXML_Validator::nextElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | `[pure virtual]`

  | Validate the next child element. Return values:
  | 0 | if valid, -1 otherwise.

virtual int ACEXML_Validator::startElement | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

  | Validate attributes of an element. Return values:
  | 0 | if valid, -1 otherwise.

The documentation for this class was generated from the following files:

- Validator.h
- Validator.cpp